
::-webkit-scrollbar {
  width: 5px;
  background-color: #060d25; 
}


::-webkit-scrollbar-thumb {
  background-color: #8050a4; 
  border-radius: 10px;
}


::-webkit-scrollbar-track {
  background-color: #232428;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Bai Jamjuree', sans-serif;
    text-decoration: none;
  }

  body {
    background-color: #232428;
  }

  .content {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 50px 10%;
    gap: 100px;
    height: 100hv;
  }

  .content .left {
    width: 100%;
  }

  .content .left h1 {
    font-size: 50px;
    font-weight: 100;
    color: #ffffff;
  }

  .content .right h1 {
    font-size: 50px;
    font-weight: 100;
    color: #ffffff;
  }

  .content .left h2 {
    font-size: 50px;
    font-weight: 900;
    background: linear-gradient(to right, #8050a4, #FF6574);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  }

  .content .right h2 {
    font-size: 50px;
    font-weight: 900;
    background: linear-gradient(to right, #8050a4, #FF6574);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  }

  .content .left h3 {
    font-size: 36px;
    font-weight: 100;
    color: #ffffff;
  }

  .content .left p {
    font-size: 18px;
    color: #ffffff;
  }

  .content .line {
    height: 1px;
    width: 100%;
    background-color: #8050a4;
    margin: 20px 0;
  }

  .info {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 30px;
    justify-content: center; 
    
  }

  .name {

    
    flex-direction: row;
    align-items: center;
    justify-content: center;
  }

  .sticker img {
    width: 100px;
    height: auto;
  }

  .content .price {
    color: #ffffff;
    margin-bottom: 20px;
  }

  .content .price-value {
    color: #8050a4;
    font-weight: bold;
    font-size: 24px;
  }

  .button {
    padding: 10px 30px;
    background: linear-gradient(to right, #8050a4, #FF6574);
    color: #232428;
    border-radius: 50px;
    font-weight: bold;
    transition: 0.5s ease;
  }

  .button:hover {
    background: linear-gradient(to left, #8050a4, #FF6574);
    color: #ffffff;
  }

  .content .right {
    width: 50%;
  }

  .content .image {
    position: relative;
  }

  .content .right .image img {
    width: 100%;
    height: auto;
    z-index: 0;
  }

  @keyframes sticker-animation {
    0% {
      transform: translate(0, 0);
    }
  
    50% {
      transform: translate(0px, 70px);
    }
  
    100% {
      transform: translate(0, 0);
    }
  }

  @keyframes sticker-animation2 {
    0% {
      transform: translate(0, 0);
    }
  
    50% {
      transform: translate(70px, -70px);
    }
  
    100% {
      transform: translate(0, 0);
    }
  }

  #sticker1 {
    position: absolute;
    width: 15%;
    height: auto;
    z-index: 1;
    top: 0;
    left: 0;
    animation-name: sticker-animation;
    animation-duration: 6s;
    animation-delay: 0ms;
    animation-direction: normal;
    animation-iteration-count: infinite;
    filter: blur(0px);
  }

  #sticker2 {
    position: absolute;
    width: 30%;
    height: auto;
    z-index: 1;
    bottom: 0;
    left: 5%;
    animation-name: sticker-animation2;
    animation-duration: 6s;
    animation-delay: 0ms;
    animation-direction: normal;
    animation-iteration-count: infinite;
    filter: blur(0px);
  }

  #sticker3 {
    position: absolute;
    width: 10%;
    height: auto;
    z-index: 1;
    top: 20%;
    left: 20%;
    animation-name: sticker-animation2;
    animation-duration: 5s;
    animation-delay: 2ms;
    animation-direction: normal;
    animation-iteration-count: infinite;
    filter: blur(0px);
  }

  #sticker4 {
    position: absolute;
    width: 10%;
    height: auto;
    z-index: 1;
    top: 30%;
    right: 5%;
    animation-name: sticker-animation2;
    animation-duration: 8s;
    animation-delay: 2ms;
    animation-direction: normal;
    animation-iteration-count: infinite;
    filter: blur(0px);
  }

  #sticker5 {
    position: absolute;
    width: 40%;
    height: auto;
    z-index: -1;
    bottom: 5%;
    right: 5%;
    animation-name: sticker-animation;
    animation-duration: 5s;
    animation-delay: 2ms;
    animation-direction: normal;
    animation-iteration-count: infinite;
    filter: blur(4px);
  }

  #sticker6 {
    position: absolute;
    width: 7%;
    height: auto;
    z-index: 1;
    top: 40%;
    right: 10%;
    animation-name: sticker-animation2;
    animation-duration: 5s;
    animation-delay: 2ms;
    animation-direction: normal;
    animation-iteration-count: infinite;
    filter: blur(0px);
  }

  #sticker7 {
    position: absolute;
    width: 5%;
    height: auto;
    z-index: 1;
    top: 40%;
    right: 20%;
    animation-name: sticker-animation2;
    animation-duration: 9s;
    animation-delay: 0ms;
    animation-direction: normal;
    animation-iteration-count: infinite;
    filter: blur(0px);
  }



  #invest {
    color: #ffffff; 
    border-spacing: 1;
    width: 100%;
    margin-bottom: 40px;
  }

  th, td {
    text-align: center;
    padding: 5px 20px;
  }

  th {
    background-color: #8050a4;
    color: #232428;
  }

  tr:nth-child(even) {
    background-color: #2b2d31;
    color: #ffffff
  }
  
  table tr:nth-child(odd) {
    background-color: #313338;
    color: #ffffff;
  }


.profit-background {
    background-color: #307739;
}

.profit-background-negative {
    background-color: #AE4343;
}

.profit-background-neutral {
  background-color: #3d3d3d;
}

.site {
  display: flex;
  flex-direction: column;
}

/* Styl dla pola input */
.case-quantity {
  background: transparent;  /* Przezroczyste tło */
  border: 2px solid #8050a4;  /* Obramowanie o kolorze #8050a4 */
  border-radius: 5px;  /* Zaokrąglone rogi */
  color: white;  /* Biały tekst */
  padding: 10px 0px;  /* Padding: góra-dół 10px, lewo-prawo 20px */
  text-align: center;  /* Wyśrodkowanie tekstu */
  font-size: 1em;  /* Wielkość czcionki */
  box-sizing: border-box;  /* Padding i border wliczane w całkowity rozmiar elementu */
}

/* Usunięcie obramowania przy focus */
.case-quantity:focus {
  outline: none;  /* Usunięcie domyślnej obramówki focus */
  box-shadow: 0 0 5px #8050a4;  /* Efekt cienia przy focus */
}


@media only screen and (max-width: 2930px) {

    .content {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding: 0 5%;
        top: 0;
        gap: 100px;
        height: auto;
      }

    .content .left {
        display: flex;
        justify-content: center;
        flex-direction: column;
        text-align: center;
        width: 100%;
    }

    .content .right {
      display: flex;
      justify-content: center;
      flex-direction: column;
      text-align: center;
      width: 100%;
    }

    th, td {
        text-align: center;
        padding: 1% 2%;
        font-size: 14px;
    }

    .content .left h1 {
      font-size: 24px;
    }

    .content .left h2 {
      font-size: 24px;
    }

    .content .right h1 {
      font-size: 24px;
    }

    .content .right h2 {
      font-size: 24px;
    }

}